#!/usr/bin/env bash

SCRIPT_DIR=$( cd -- "$( dirname -- "${BASH_SOURCE[0]}" )" &> /dev/null && pwd )

case "$1" in
    "day1")
        "$SCRIPT_DIR/day1.sh"
        ;;
    "day2")
        "$SCRIPT_DIR/day2.sh"
        ;;
    *)
        echo "Invalid day"
        exit 1
        ;;
esac
