use std::env;

mod day1;
mod day2;

fn main() {
    let mut args = env::args();
    let _prog_name = args.next();
    let day = args.next();
    match day {
        Some(x) => match x.as_str() {
            "day1" => day1::run(),
            "day2" => day2::run(),
            _ => todo!()
        },
        _ => println!("Please provide the day as day<n>"),
    }
}
