{-# LANGUAGE LambdaCase #-}

module Main where

import Day1 qualified
import Day2 qualified
import Day3 qualified
import Day4 qualified
import Day5 qualified
import Day6 qualified
import Day7 qualified
import Day8 qualified
import System.Environment (getArgs)

main :: IO ()
main = do
  getArgs >>= \case
    ["day1"] -> Day1.run
    ["day2"] -> Day2.run
    ["day3"] -> Day3.run
    ["day4"] -> Day4.run
    ["day5"] -> Day5.run
    ["day6"] -> Day6.run
    ["day7"] -> Day7.run
    ["day8"] -> Day8.run
    args -> error $ "Invlaid args: " <> show args
